<?
session_start();
?>
<?php
include("menu.php");
?>
<html>
<head>
<body>
<link rel="stylesheet" type="text/css" href="style.css">
<?php
include("forb.php");
include("check.php");

$tekst = $_POST[info];
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND navn = 'HTML pakke'") or die(mysql_error());
$antal = mysql_num_rows($q1);
if($antal > '0'){
$tekst = str_replace("[b]","<b>",$tekst);
$tekst = str_replace("[/b]","</b>",$tekst);
$tekst = str_replace("[i]","<i>",$tekst);
$tekst = str_replace("[/i]","</i>",$tekst);
$tekst = str_replace("[u]","<u>",$tekst);
$tekst = str_replace("[/u]","</u>",$tekst);
$tekst = str_replace("[s]","<s>",$tekst);
$tekst = str_replace("[/s]","</s>",$tekst);
$tekst = str_replace("[link]","<a",$tekst);
$tekst = str_replace("[/link]","</a>",$tekst);
}
if($antal == '0'){
$tekst = str_replace("[b]",":S",$tekst);
$tekst = str_replace("[/b]",":S",$tekst);
$tekst = str_replace("[i]",":S",$tekst);
$tekst = str_replace("[/i]",":S",$tekst);
$tekst = str_replace("[u]",":S",$tekst);
$tekst = str_replace("[/u]",":S",$tekst);
$tekst = str_replace("[s]",":S",$tekst);
$tekst = str_replace("[/s]",":S",$tekst);
$tekst = str_replace("[link]",":S",$tekst);
$tekst = str_replace("[/link]",":S",$tekst);
}
if($antal == '0' AND $_SESSION[Rang] == 'Ejer'){
$tekst = str_replace("[b]","<b>",$tekst);
$tekst = str_replace("[/b]","</b>",$tekst);
$tekst = str_replace("[i]","<i>",$tekst);
$tekst = str_replace("[/i]","</i>",$tekst);
$tekst = str_replace("[u]","<u>",$tekst);
$tekst = str_replace("[/u]","</u>",$tekst);
$tekst = str_replace("[s]","<s>",$tekst);
$tekst = str_replace("[/s]","</s>",$tekst);
$tekst = str_replace("[link]","<a",$tekst);
$tekst = str_replace("[/link]","</a>",$tekst);
}
$admins3 = array('Ejer', 'Redaktør', 'Supporter', 'Webmaster', 'Grafiker', 'Reklamør', 'Reporter', 'Vip');
if(in_array($_SESSION[Rang], $admins3)){
$tekst = str_replace(">",">",$tekst);
$tekst = str_replace("<","<",$tekst);
}else{
$tekst = str_replace(">"," ",$tekst);
$tekst = str_replace("<"," ",$tekst);
}
$db_profil = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($db_profil);
mysql_query("UPDATE brugere SET adgangskode = '$_POST[kodeord]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE brugere SET info = '$tekst' WHERE brugernavn = '$_SESSION[Brugernavn]'");
print "Din profil er nu rettet";
if($se[foed_dato] == '00/00'){
print ".<br>.";
$aar = date("Y");
$year = $aar - $_POST[year];
mysql_query("UPDATE brugere SET year = '$year' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE brugere SET foed_dato = '$_POST[date]/$_POST[month]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
}
?>